KDE 4.7 PyKDE API Reference

- KDE's Python API

# KJobTrackerInterface Class Reference

`from PyKDE4.kdecore import *`

Inherits: QObject

## Detailed Description

The interface to implement to track the progresses of a job.

## Methods
| __init__ (self, QObject parent=0)
| description (self, KJob job, QString title, (QString,QString) field1, (QString,QString) field2)
| finished (self, KJob job)
| infoMessage (self, KJob job, QString plain, QString rich)
| percent (self, KJob job, long percent)
| processedAmount (self, KJob job, KJob.Unit unit, long amount)
| registerJob (self, KJob job)
| resumed (self, KJob job)
| speed (self, KJob job, long value)
| suspended (self, KJob job)
| totalAmount (self, KJob job, KJob.Unit unit, long amount)
| unregisterJob (self, KJob job)
| warning (self, KJob job, QString plain, QString rich)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Creates a new KJobTrackerInterface

Parameters:

  | parent | the parent object

description | ( | self, |
|  | KJob | job,
|  | QString | title,
|  | (QString,QString) | field1,
|  | (QString,QString) | field2
| ) |  |  |

Called to display general description of a job. A description has a title and two optional fields which can be used to complete the description.

Examples of titles are "Copying", "Creating resource", etc. The fields of the description can be "Source" with an URL, and, "Destination" with an URL for a "Copying" description.

Parameters:

  | job | the job that emitted this signal
  | title | the general description of the job
  | field1 | first field (localized name and value)
  | field2 | second field (localized name and value)

finished | ( | self, |
|  | KJob | job
| ) |  |  |

Called when a job is finished, in any case. It is used to notify that the job is terminated and that progress UI (if any) can be hidden.

Parameters:

  | job | the job that emitted this signal

infoMessage | ( | self, |
|  | KJob | job,
|  | QString | plain,
|  | QString | rich
| ) |  |  |

Called to display state information about a job. Examples of message are "Resolving host", "Connecting to host...", etc.

Parameters:

  | job | the job that emitted this signal
  | plain | the info message
  | rich | the rich text version of the message, or QString() is none is available

percent | ( | self, |
|  | KJob | job,
|  | long | percent
| ) |  |  |

Called to show the overall progress of the job. Note that this is not called for finished jobs.

Parameters:

  | job | the job that emitted this signal
  | percent | the percentage

processedAmount | ( | self, |
|  | KJob | job,
|  | KJob.Unit | unit,
|  | long | amount
| ) |  |  |

Regularly called to show the progress of a job by giving the current amount. The unit of this amount is provided too. It can be called several times for a given job if the job manages several different units.

Parameters:

  | job | the job that emitted this signal
  | unit | the unit of the processed amount
  | amount | the processed amount

registerJob | ( | self, |
|  | KJob | job
| ) |  |  |

Register a new job in this tracker.

Parameters:

  | job | the job to register

resumed | ( | self, |
|  | KJob | job
| ) |  |  |

Called when a job is resumed.

Parameters:

  | job | the job that emitted this signal

speed | ( | self, |
|  | KJob | job,
|  | long | value
| ) |  |  |

Called to show the speed of the job.

Parameters:

  | job | the job that emitted this signal
  | value | the current speed of the job

suspended | ( | self, |
|  | KJob | job
| ) |  |  |

Called when a job is suspended.

Parameters:

  | job | the job that emitted this signal

totalAmount | ( | self, |
|  | KJob | job,
|  | KJob.Unit | unit,
|  | long | amount
| ) |  |  |

Called when we know the amount a job will have to process. The unit of this amount is provided too. It can be called several times for a given job if the job manages several different units.

Parameters:

  | job | the job that emitted this signal
  | unit | the unit of the total amount
  | amount | the total amount

unregisterJob | ( | self, |
|  | KJob | job
| ) |  |  |

Unregister a job from this tracker.

Parameters:

  | job | the job to unregister

warning | ( | self, |
|  | KJob | job,
|  | QString | plain,
|  | QString | rich
| ) |  |  |

Emitted to display a warning about a job.

Parameters:

  | job | the job that emitted this signal
  | plain | the warning message
  | rich | the rich text version of the message, or QString() is none is available